Bug 1012429 - [virtio-win][viostor]Build 71driver viostor.sys has not been digitally signed in win2012
[virtio-win][viostor]Build 71driver viostor.sys has not been digitally signed...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 09:01 EDT by guo jiang
Modified: 2015-03-18 05:09 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-07 17:28:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sigverif.txt (13.10 KB, text/plain)
2013-12-23 01:32 EST, lijin
no flags Details

  None (edit)
Description guo jiang 2013-09-26 09:01:04 EDT
Description of problem:
Build 71driver viostor.sys has not been digitally signed after running "sigverif" in win2012.

Version-Release number of selected component (if applicable):
  kernel-2.6.32-419.el6.x86_64
  qemu-kvm-rhev-0.12.1.2-2.404.el6.x86_64
  virtio-win-prewhql-0.1.70
  spice-server-0.12.4-3.el6.x86_64  
  seabios-0.6.1.2-28.el6.x86_64
  vgabios-0.6b-3.7.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1.Boot guest with CLI:
/usr/libexec/qemu-kvm \
-M rhel6.5.0 \
-m 2G \
-smp 2,cores=2 \
-cpu 'SandyBridge' \
-usb \
-device usb-tablet \
-enable-kvm \
-drive file=win2012.qcow2,format=qcow2,if=none,id=drive-blk,cache=none,rerror=stop,werror=stop,serial=disk0 \
-device virtio-blk-pci,drive=drive-blk,id=blk0-0-0-0,bootindex=1 \
-netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no \
-device e1000,netdev=hostnet0,mac=fe:23:40:21:22:31,id=net0 \
-uuid 8ff96365-d565-4304-8534-f1282aa90267 \
-no-kvm-pit-reinjection \
-chardev socket,id=111a,path=/tmp/monitor-win2012-block,server,nowait \
-mon chardev=111a,mode=readline \
-name win2012-block-71 \
-vnc :2 \
-vga cirrus \
-drive file=disk1.qcow2,format=qcow2,if=none,id=drive-virtio1,cache=none,werror=stop,rerror=stop \
-device virtio-blk-pci,drive=drive-virtio1,id=virtio-blk-pci1 \
-rtc base=localtime,clock=host,driftfix=slew \
-global PIIX4_PM.disable_s3=0 \
-global PIIX4_PM.disable_s4=0 \
-monitor stdio

2.running "sigverif" in guest cmd

3.

Actual results:
Show "viostor.sys" has not been digitally signed

Expected results:
the viostor driver is digitally signed, a dialog box appears indicating “Your Files Have Been Scanned And Verified As Digitally Signed.

Additional info:
Comment 3 Vadim Rozenfeld 2013-11-30 03:49:32 EST
I suppose it should work fine with build 74.
Can we close it?
Comment 4 lijin 2013-12-23 01:08:29 EST
(In reply to Vadim Rozenfeld from comment #3)
> I suppose it should work fine with build 74.
> Can we close it?

win2012 still hit the same issue with build74,both vioscsi and viostor are not digitally signed.
Comment 5 Vadim Rozenfeld 2013-12-23 01:23:21 EST
(In reply to lijin from comment #4)
> (In reply to Vadim Rozenfeld from comment #3)
> > I suppose it should work fine with build 74.
> > Can we close it?
> 
> win2012 still hit the same issue with build74,both vioscsi and viostor are
> not digitally signed.

Please post sigverif.txt file.
Comment 6 lijin 2013-12-23 01:32:30 EST
Created attachment 840690 [details]
sigverif.txt

Hi Vadim,
    
    Attachment is the sigverif.txt file,anything else please let me know.
Comment 7 Vadim Rozenfeld 2013-12-23 01:58:20 EST
(In reply to lijin from comment #6)
> Created attachment 840690 [details]
> sigverif.txt
> 
> Hi Vadim,
>     
>     Attachment is the sigverif.txt file,anything else please let me know.

Thanks, 
let's wait when drivers from build74 will be signed by MS Windows Hardware Compatibility Publisher and then recheck it again. (Hopefully in the first part of January 2014)

Best regards,
Vadim
Comment 11 Mike Cao 2014-06-18 02:18:31 EDT
(In reply to Vadim Rozenfeld from comment #7)
> (In reply to lijin from comment #6)
> > Created attachment 840690 [details]
> > sigverif.txt
> > 
> > Hi Vadim,
> >     
> >     Attachment is the sigverif.txt file,anything else please let me know.
> 
> Thanks, 
> let's wait when drivers from build74 will be signed by MS Windows Hardware
> Compatibility Publisher and then recheck it again. (Hopefully in the first
> part of January 2014)
> 
> Best regards,
> Vadim

Do you mean we only need to run sigverif test cases for virtio-win whql'ed builds ?
Comment 12 Vadim Rozenfeld 2014-06-18 06:07:50 EDT
(In reply to Mike Cao from comment #11)
> (In reply to Vadim Rozenfeld from comment #7)
> > (In reply to lijin from comment #6)
> > > Created attachment 840690 [details]
> > > sigverif.txt
> > > 
> > > Hi Vadim,
> > >     
> > >     Attachment is the sigverif.txt file,anything else please let me know.
> > 
> > Thanks, 
> > let's wait when drivers from build74 will be signed by MS Windows Hardware
> > Compatibility Publisher and then recheck it again. (Hopefully in the first
> > part of January 2014)
> > 
> > Best regards,
> > Vadim
> 
> Do you mean we only need to run sigverif test cases for virtio-win whql'ed
> builds ?

Right. sigverif is a tool for searching system files not digitally signed by Microsoft.

Best regards,
Vadim.

Note You need to log in before you can comment on or make changes to this bug.